CVE-2018-18024

NameCVE-2018-18024
DescriptionIn ImageMagick 7.0.8-13 Q16, there is an infinite loop in the ReadBMPImage function of the coders/bmp.c file. Remote attackers could leverage this vulnerability to cause a denial of service via a crafted bmp file.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
imagemagick (PTS)jessie8:6.8.9.9-5+deb8u12vulnerable
jessie (security)8:6.8.9.9-5+deb8u14vulnerable
stretch8:6.9.7.4+dfsg-11+deb9u3vulnerable
stretch (security)8:6.9.7.4+dfsg-11+deb9u6vulnerable
buster, sid8:6.9.10.8+dfsg-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
imagemagicksource(unstable)(unfixed)low

Notes

[stretch] - imagemagick <ignored> (Minor issue)
[jessie] - imagemagick <postponed> (Minor issue)
https://github.com/ImageMagick/ImageMagick/issues/1337
https://github.com/ImageMagick/ImageMagick/commit/948f1c86d649a29df08a38d2ff8b91cdf3e92b82
ImageMagick6: https://github.com/ImageMagick/ImageMagick6/commit/b268ce7a59440972f4476b9fd98104b6a836d971

Search for package or bug name: Reporting problems